Class | Struct
In: | lib/core/facets/object/object_state.rb lib/core/facets/object/replace.rb lib/core/facets/struct/attributes.rb lib/core/facets/to_hash.rb
Parent: | Object

### Methods

attributes object_state replace to_h

### Public Instance methods

attributes()

Returns a hash containing the names and values for all instance settings in the Struct.

This will eventually be deprecated in favor of to_h.

object_state(data=nil)
replace(source)

Struct#replace can take any `source` that responds to each_pair.

to_h()

Returns a hash containing the names and values for all instance settings in the Struct.

[Validate]